External System Field Mappings
Update External System Field Mapping
Updates the specified external System Field Mapping.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique identifier for the resource.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
field?|
Field value for this resource.
external_field_key?string
External Field Key value for this resource.
Length
1 <= lengthenabled?boolean
Enabled value for this resource.
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/external-system-field-mappings/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_system_id": "496cacc4-1d36-4900-b9d2-89eefa7ce182", "entity": "contact", "field_kind": "native", "field_key": "string", "external_field_key": "string", "enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}